System Admin
2 API calls in this section.
List System Carriers
External & Carrier Integrations / System Admin
GET
/carriers/adminGET /carriers/admin — List all carriers with global status and defaults
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/carriers/admin" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
No saved response example. Use Try it to inspect a staging response.
Update System Carrier
External & Carrier Integrations / System Admin
PATCH
/carriers/admin/PRIMEPATCH /carriers/admin/
code — Enable/disable and set default price
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
Content-Type | string | Example: |
Body parameters
| Parameter | Type | Description |
|---|---|---|
is_active | boolean | — |
default_base_price | number | — |
Request
curl
1curl --globoff --request PATCH "https://staging-api.ondi.io/functions/v1/carriers/admin/PRIME" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}" \3 --header "Content-Type: application/json" \4 --data-raw '{5 "is_active": true,6 "default_base_price": 6.57}'Response examples
No saved response example. Use Try it to inspect a staging response.